<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.watermeter.mapper.BwgzbcjdatailMapper">

    <resultMap id="bwgzbcjdatailMap" type="com.tofly.watermeter.entity.Bwgzbcjdatail">
        <id property="id" column="ID"/>
        <result property="bwLsbh" column="BW_LSBH"/>
        <result property="bwSbbh" column="BW_SBBH"/>
        <result property="bwSbcj" column="BW_SBCJ"/>
        <result property="bwSblx" column="BW_SBLX"/>
        <result property="bwSbkj" column="BW_SBKJ"/>
        <result property="bwCjjl" column="BW_CJJL"/>
        <result property="bwJyjg" column="BW_JYJG"/>
        <result property="bwPhoto" column="BW_PHOTO"/>
        <result property="bwFileid" column="BW_FILEID"/>
        <result property="bwJyrq" column="BW_JYRQ"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createDate" column="CREATE_DATE"/>
        <result property="bwBz" column="BW_BZ"/>
        <result property="sbid" column="SBID"/>
        <result property="bwJyry" column="BW_JYRY"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"></association>
    </resultMap>


</mapper>
